## vdeplug-pcap 0.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project("vdeplug_pcap"
    DESCRIPTION "libvdeplug plugin module for pcap"
    HOMEPAGE_URL "https://github.com/rd235/vdeplug_pcap"
    VERSION 0.1.0
    LANGUAGES C)

include(GNUInstallDirs)
include(CheckIncludeFile)
include(CheckSymbolExists)
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_FORTIFY_SOURCE=2 -O2 -pedantic -Wall -Wextra")


set(CMAKE_REQUIRED_QUIET TRUE)
set(LIBS_REQUIRED vdeplug_mod pcap)
set(HEADERS_REQUIRED libvdeplug.h pcap/pcap.h)

foreach(THISLIB IN LISTS LIBS_REQUIRED)
  find_library(LIB${THISLIB}_OK ${THISLIB})
  if(NOT LIB${THISLIB}_OK)
    message(FATAL_ERROR "library lib${THISLIB} not found")
  endif()
endforeach(THISLIB)

foreach(HEADER IN LISTS HEADERS_REQUIRED)
  check_include_file(${HEADER} ${HEADER}_OK)
  if(NOT ${HEADER}_OK)
    message(FATAL_ERROR "header file ${HEADER} not found")
  endif()
endforeach(HEADER)

# check libpcap has pcap_create (i.e. version >= 1.0)
set(CMAKE_REQUIRED_LIBRARIES "pcap")
check_symbol_exists(pcap_create pcap/pcap.h HAVE_PCAP_CREATE)
if (NOT HAVE_PCAP_CREATE)
	message(FATAL_ERROR "function pcap_create not found")
endif()

add_definitions(-D_GNU_SOURCE)
include_directories(${CMAKE_CURRENT_SOURCE_DIR})

add_library(vdeplug_pcap SHARED libvdeplug_pcap.c)
target_link_libraries(vdeplug_pcap vdeplug_mod pcap)

install(TARGETS vdeplug_pcap DESTINATION ${CMAKE_INSTALL_LIBDIR}/vdeplug)

add_subdirectory(man)

add_custom_target(uninstall
  "${CMAKE_COMMAND}" -P "${PROJECT_SOURCE_DIR}/Uninstall.cmake")

=== debian/changelog ===
vdeplug-pcap (0.1.0-3) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * Team upload.
  * Don't hardcode libary names.
    Thanks to Matthias Klose <doko@ubuntu.com> for the patch (Closes: #1069339)
  * drop some boilerplate from d/rules

  [ Debian Janitor ]
  * Apply multi-arch hints. + libvdeplug-pcap: Add Multi-Arch: same.
    Changes-By: apply-multiarch-hints

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 22 Apr 2024 10:02:20 +0200

vdeplug-pcap (0.1.0-2) unstable; urgency=medium

  * d/control: Set Maintainer to Debian VirtualSquare Team
  * d/control: Add VirtualSquare Uploader
  * d/control: Fix Vcs
  * Initial Debian release (Closes: #975719)

 -- Andrea Capriotti <capriott@debian.org>  Tue, 01 Dec 2020 16:48:47 +0100

vdeplug-pcap (0.1.0-1) unstable; urgency=medium

  * Initial release

 -- Renzo Davoli <renzo@cs.unibo.it>  Sun, 15 Nov 2020 16:07:20 +0100

=== debian/control ===
Source: vdeplug-pcap
Priority: optional
Maintainer: Debian VirtualSquare Team <virtualsquare@cs.unibo.it>
Uploaders: Mattia Biondi <mattia.biondi3@studio.unibo.it>, Renzo Davoli <renzo@cs.unibo.it>, Andrea Capriotti <capriott@debian.org>
Build-Depends: debhelper-compat (= 13), cmake (>= 3.13), libvdeplug-dev (>= 4), libpcap0.8-dev
Standards-Version: 4.5.0
Section: libs
Homepage: http://www.virtualsquare.org/
Vcs-Browser: https://salsa.debian.org/virtualsquare-team/vdeplug-pcap
Vcs-Git: https://salsa.debian.org/virtualsquare-team/vdeplug-pcap.git
Rules-Requires-Root: no

Package: libvdeplug-pcap
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${lib:Depends}
Multi-Arch: same
Description: libvdeplug plugin: packet capture library (pcap)
 This libvdeplug module interconnects a client to an interface using the packet
 capture library (pcap).  All the data that is received by this plug is
 injected into interface and everything captured from that interface is sent to
 the client.
 .
 Please notice that the pcap library captures and injects packets on the net,
 packets sent by the host are not captured, injected packets are not received
 by the host. So several clients using libvdeplug_pcap on the same interface of
 the same host do not communicate among them (nor they communicate with the
 host).

## vdeplug-pcap 0.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
-cmake_minimum_required(VERSION 3.1)
+cmake_minimum_required(VERSION 3.25)
 project("vdeplug_pcap"
     DESCRIPTION "libvdeplug plugin module for pcap"
     HOMEPAGE_URL "https://github.com/rd235/vdeplug_pcap"
-    VERSION 0.1.0
+    VERSION 0.1.1
     LANGUAGES C)
 
 include(GNUInstallDirs)

=== debian/changelog ===
vdeplug-pcap (0.1.1-1) unstable; urgency=medium

  * new upstream 0.1.1 (Closes: #1113612)
  * d/control: set standard to 4.7.2, no changes needed

 -- Renzo Davoli <renzo@cs.unibo.it>  Tue, 28 Oct 2025 17:19:58 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Debian VirtualSquare Team <virtualsquare@cs.unibo.it>
 Uploaders: Mattia Biondi <mattia.biondi3@studio.unibo.it>, Renzo Davoli <renzo@cs.unibo.it>, Andrea Capriotti <capriott@debian.org>
 Build-Depends: debhelper-compat (= 13), cmake (>= 3.13), libvdeplug-dev (>= 4), libpcap0.8-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2
 Section: libs
 Homepage: http://www.virtualsquare.org/
 Vcs-Browser: https://salsa.debian.org/virtualsquare-team/vdeplug-pcap

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# this can go away with dh compat 15
override_dh_auto_install:
	dh_auto_install --destdir debian/tmp

override_dh_gencontrol:
# no need to query libpcap, ${shlib:Depends} knows about it
	dh_gencontrol -- \
		-Vlib:Depends=$(shell dpkg-query -W -f '$${Depends}' libvdeplug-dev \
		 | sed -E 's/.*(libvdeplug[[:alnum:].-]+).*/\1/')

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%libvdestack-$1.tar.gz%" \
   https://github.com/virtualsquare/vdeplug_pcap/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
